using System;

internal sealed class Delegate24 : MulticastDelegate
{
	public extern string Invoke();

	public static string smethod_0(Delegate24 delegate24_1)
	{
		return delegate24_1();
	}

	public extern Delegate24(object object_0, IntPtr intptr_0);

	static Delegate24()
	{
		Class10.smethod_13(typeof(Delegate24).TypeHandle);
	}

	internal static Delegate24 delegate24_0;
}
